This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 559139 - dhclient -6 will block if can not got a ip.
dhclient -6 will block if can not got a ip.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 559401
  Show dependency treegraph
 
Reported: 2010-01-27 04:12 EST by Yang Ren
Modified: 2010-02-03 03:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 559401 (view as bug list)
Environment:
Last Closed: 2010-02-03 03:45:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 1 Jiri Popelka 2010-02-02 11:13:33 EST
-nw is separate option.
-nw is not combination of -n and -w, so don't worry that -nw will 'not configure any interfaces.'

I think -nw is exactly what you want, i.e. force dhclient to become daemon immediately (not wait before getting the address).

I don't think it's necessary to be it the default behavior.
If you want it, use '-nw' option.
Comment 2 Yang Ren 2010-02-03 01:47:03 EST
Yeah if -nw option will not effect test result, I think this should be ok.
Feel free to close it with notabug.

Note You need to log in before you can comment on or make changes to this bug.